# MCU name
MCU = atmega32u4

# Enable raw HID for bi-directional communication
RAW_ENABLE = yes

# Bootloader selection
#   Teensy       halfkay
#   Pro Micro    caterina
#   Atmel DFU    atmel-dfu
#   LUFA DFU     lufa-dfu
#   QMK DFU      qmk-dfu
#   ATmega32A    bootloadHID
#   ATmega328P   USBasp
BOOTLOADER = halfkay

# Build Options
#   comment out to disable the options.
#
BOOTMAGIC_ENABLE = no   # Virtual DIP switch configuration
MOUSEKEY_ENABLE  = no  # Mouse keys
EXTRAKEY_ENABLE  = yes  # Audio control and System control
CONSOLE_ENABLE   = no   # Console for debug
COMMAND_ENABLE   = no   # Commands for debug and configuration
CUSTOM_MATRIX    = lite # Custom matrix file for the ErgoDox EZ
NKRO_ENABLE      = yes  # USB Nkey Rollover - if this doesn't work, see here: https://github.com/tmk/tmk_keyboard/wiki/FAQ#nkro-doesnt-work
UNICODE_ENABLE   = no  # Unicode
SWAP_HANDS_ENABLE= no  # Allow swapping hands of keyboard
SLEEP_LED_ENABLE = no
API_SYSEX_ENABLE = no
MOUSE_SHARED_EP = no
MAGIC_ENABLE = no
LEADER_ENABLE = no
TAP_DANCE_ENABLE = yes
AUDIO_SUPPORTED = no
BACKLIGHT_SUPPORTED = no

DEBOUNCE_TYPE = sym_eager_pr

SRC += \
	extra_mappings.c \
	process_record.c \
	hardware/matrix.c \
	hardware/led_i2c.c \
	hardware/maps.c \
	features/beta_rawhid.c \
	features/hid_spellcheck.c \
	features/autocorrect/autocorrect.c \
	features/leader/leader.c

QUANTUM_LIB_SRC += i2c_master.c

LAYOUTS = ergodox

# Link-time optimization.
# Significantly reduces firmware size.
LTO_ENABLE = yes

# Enable keyboard-specific effects
RGB_MATRIX_CUSTOM_KB = yes


# FROM glow dir
RGB_MATRIX_ENABLE = yes
RGB_MATRIX_DRIVER = IS31FL3731
RGBLIGHT_ENABLE = yes
RGBLIGHT_DRIVER = WS2812